create table sqmdb_cost.sc_cell_4g(
enodeb_id varchar,
ems_orig_res_id varchar,
ems_orig_res_name varchar,
room_id varchar,
room_name varchar,
station_name varchar,
code varchar,
x varchar,
y varchar,
gridid varchar,
gridname varchar,
gridno varchar);

create table sqmdb_cost.sc_cell_5g(
res_type_id varchar,
gnodeb_id varchar,
ems_orig_res_id varchar,
ems_orig_res_name varchar,
room_id varchar,
room_name varchar,
station_name varchar,
code varchar,
x varchar,
y varchar,
gridname varchar,
gridid varchar,
gridno varchar);

create table sqmdb_cost.sc_enodeb(
enodeb_id varchar,
eqp_name varchar,
ems_orig_res_id varchar,
room_id varchar,
room_name varchar,
station_id varchar,
station_name varchar,
code varchar,
x varchar,
y varchar,
gridid varchar,
gridname varchar,
gridno varchar,
base_station_type varchar,
property_belong varchar,
room_code varchar,
state varchar);

create table sqmdb_cost.sc_gnodeb(
gnodeb_id varchar,
res_type_id varchar,
eqp_name varchar,
ems_orig_res_id varchar,
room_id varchar,
room_name varchar,
station_id varchar,
station_name varchar,
code varchar,
x varchar,
y varchar,
gridname varchar,
gridid varchar,
gridno varchar,
base_station_type varchar,
property_belong varchar,
room_code varchar,
work_order_no varchar,
state varchar);

create table sqmdb_cost.station3(
station_sid	numeric,
station_sname	varchar,
city_name	varchar,
area_name	varchar,
property_type	varchar,
property_unit	varchar,
data_unit	varchar,
data_user	varchar,
equip_unit	varchar,
equip_user	varchar,
longitude	numeric,
latitude	numeric,
res_level	varchar,
station_type	varchar,
building_height	varchar,
unit_num	varchar,
unit_type	varchar,
layers_count	varchar,
unit_sort	varchar,
station_level	varchar,
tower_code	varchar);


select count(*) from sqmdb_cost.sc_cell_4g;
select count(*) from sqmdb_cost.sc_cell_5g;
select count(*) from sqmdb_cost.sc_enodeb;
select count(*) from sqmdb_cost.sc_gnodeb;
select count(*) from sqmdb_cost.station3;
